Subject: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Jun 2022 13:54:06 +0200

Howard Melman <[email-masked]> writes:

> My original report was about enabling these in init.el and seeing the
> message in the *Messages* buffer.  I have the following in my init:
>
> (size-indication-mode)
> (column-number-mode)
> (show-paren-mode)
> (recentf-mode)
> (which-function-mode)
> (global-hl-line-mode)
> (context-menu-mode)                     ; new in Emacs 28
> (global-so-long-mode)
> (repeat-mode)                           ; new in Emacs 28
>
> Of the above, only recentf-mode and repeat-mode write to the
> *Messages* buffer on startup.  I added electric-pair-mode to my
> init and it did not write to *Messages* though if I toggle it interactively
> with M-x it does output (I assume to the echo area).

Right.  Using that config, I get the following *Messages* buffer after
starting Emacs:

  For information about GNU Emacs and the GNU system, type C-h C-a.
  Cleaning up the recentf list...done (0 removed)
  Repeat mode is enabled for 14 commands and 7 keymaps; see
‘describe-repeat-maps’.

Personally, I think we should remove both the recentf-mode and
repeat-mode messages here.  I don't find either of them very helpful
or interesting.